/**
 *版本升级
 */
var downApk = ''
function update() {
	api.ajax({
		url : 'http://yuezhe.duapp.com/index.php/Service/Service/update',
		method : 'post',
		timeout : 30,
		dataType : 'json',
	}, function(ret, err) {
		if (ret) {
			if (ret.success == '200') {
				if (ret.data.VersionCode > 5) {
					downApk = ret.data.DownUrl;
					api.confirm({
						title : '版本升级',
						msg : '版本:' + ret.data.VersionName + '说明:' + ret.data.Desc,
						buttons : ['下载', '取消']
					}, function(ret, err) {
						if (ret.buttonIndex == 1) {
							api.download({
								url : downApk,
								report : true,
								cache : true,
								allowResume : true
							}, function(ret, err) {
								if (ret) {
									api.installApp({
										appUri : ret.savePath
									});
								} else {
								}
							});
						}
					});
				}
			}
		} else {
			api.toast({
				msg : err.msg,
				location : 'middle'
			});
		}
	});
}

/**
 *打开测滑菜单
 */
function menu() {
	api.openSlidPane({
		type : 'left'
	});
}

/**
 *打开列表
 */
function openList() {
	var header = $api.byId('nav');
	$api.fixIos7Bar(header);
	var headerPos = $api.offset(header);
	api.openFrame({
		name : 'main',
		url : 'html/main.html',
		bounces : true,
		rect : {
			x : 0,
			y : headerPos.h,
			w : 'auto',
			h : api.winHeight - headerPos.h
		}
	});
}